package com.zcloud.primeport.api;

import com.zcloud.primeport.dto.MkmjSwipeCardRecordAddCmd;
import com.zcloud.primeport.dto.MkmjSwipeCardRecordPageQry;
import com.zcloud.primeport.dto.MkmjSwipeCardRecordUpdateCmd;
import com.zcloud.primeport.dto.clientobject.MkmjSwipeCardRecordCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import java.util.List;

/**
* web-client
* @Author dearLin
* @Date 2026-04-22 17:14:52
*/
public interface MkmjSwipeCardRecordServiceI {
    MkmjSwipeCardRecordCO  queryById(Long id);
    
    PageResponse<MkmjSwipeCardRecordCO> listPage(MkmjSwipeCardRecordPageQry qry);

    SingleResponse<MkmjSwipeCardRecordCO> add(MkmjSwipeCardRecordAddCmd cmd);

    void edit(MkmjSwipeCardRecordUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(List<Long> ids);
}

